Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78362 - cups - build needs the XFree86-devel RPM
Summary: cups - build needs the XFree86-devel RPM
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: cups
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-21 18:41 UTC by Jose Pedro Oliveira
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-19 17:22:34 UTC


Attachments (Terms of Use)

Description Jose Pedro Oliveira 2002-11-21 18:41:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020827

Description of problem:
Building cups from the SRPMS needs XFree86-devel.
The spec file

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install cups-1.1.6-1.src.rpm
2. Remove the XFree86-devel RPM
3. rpm -ba cups.spec


	

Actual Results:  The building process fails - can't locate certain XFree-86
header files

Additional info:

The spec file shoud specify XFree86-devel as building requirement.
Patch following:

-----------------

$ diff -u cups.spec.orig cups.spec
--- cups.spec.orig      Thu Nov 21 18:19:33 2002
+++ cups.spec   Thu Nov 21 18:25:05 2002
@@ -34,6 +34,7 @@
 Provides: lpd lpr LPRng
 %endif
 BuildPrereq: pam-devel
+BuildPrereq: XFree86-devel

 %package devel
 Summary: Common Unix Printing System - development environment

Comment 1 Bill Nottingham 2002-12-19 17:22:34 UTC
fixed in current rawhide packages


Note You need to log in before you can comment on or make changes to this bug.